#version 300 es

precision mediump float;

uniform sampler2D uPassTex;
uniform sampler2D uMainTex;
uniform float uRate;

in vec2 vUV;

out vec4 fragColor;

void main()
{
    fragColor = mix(texture(uPassTex, vUV), texture(uMainTex, vUV), uRate);
}